# (Deprecated) Fetch VOD stream usage by rendition The GET /usage/vod_streams/{id}/renditions operation is deprecated and no longer available. To retrieve CDN usage data for a specific VOD stream, use GET /analytics/viewers/vod_streams/{id} endpoint. Endpoint: GET /usage/vod_streams/{id}/renditions Version: v1.11 ## Path parameters: - `id` (string, required) The unique alphanumeric string that identifies the VOD stream. ## Query parameters: - `from` (string) The start of the range of time you want to view. Specify YYYY-MM-DD HH:00:00 where HH is a 24-hour clock in UTC. The range doesn't include minutes and seconds and rounds minutes up to the hour. The maximum difference between from and to is 90 days. If you set the from query parameter without setting the to query parameter, the data returned will reflect 90 days starting at the from date, or data up to to the current day, whichever is shorter. You can also specify last_bill_date. Default: last billing date - `to` (string) The end of the range of time you want to view. Specify YYYY-MM-DD HH:00:00 where HH is a 24-hour clock in UTC. The range doesn't include minutes and seconds and rounds minutes up to the hour. The maximum difference between from and to is 90 days. If you set the to query parameter without setting the from query parameter, the data returned will be from the past 90 days or from your last invoice date, whichever is shorter. You can also specify last_bill_date. Default: end of the current day ## Response 200 fields (application/json): - `renditions` (object) Example: [{"name":"360","unique_viewers":14,"viewing_seconds":222,"avg_viewing_seconds":16,"viewing_bytes":22886},{"name":"720","unique_viewers":14,"viewing_seconds":222,"avg_viewing_seconds":16,"viewing_bytes":22886}] - `renditions.name` (string) The name of the VOD stream's output rendition. A rendition name is the smaller number of the resolution. The resolution is [width]x[height] in which the stream was played. Renditions names have to be unique. If you've created two renditions that have the same height and width, Wowza Video increments the value of the height and uses that as the rendition name. Example: Two renditions of 1280x720 will result in rendition names of 720 and 721. - `renditions.unique_viewers` (integer) The total number of unique viewers to download at least one chunk of the stream at the target (for HTTP streams). A unique viewer is a single IP address; multiple users that share the same IP address are counted once. - `renditions.viewing_seconds` (integer) The total length of time, in seconds, that the stream was played at the target. May be longer than the duration of the stream. - `renditions.avg_viewing_seconds` (integer) The average length of time, in seconds, that the stream was played at the target. - `renditions.viewing_bytes` (integer) The amount of content, in bytes, that went through the stream target during the selected time frame. - `limits` (object) The time frame represented in the response. Example: {"from":"2021-01-07T00:00:00.000Z","to":"2021-10-05T00:00:00.000Z"} - `limits.from` (string) The start of the range of time represented in the response. Example: "2021-01-07T00:00:00.000Z" - `limits.to` (string) The end of the range of time represented in the response. Example: "2021-10-05T00:00:00.000Z" ## Response 401 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 403 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 404 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 410 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 422 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array)